Loading...
Searching...
No Matches
gx_engine::LiveLooper Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::LiveLooper:

## Classes

class | FileResampler

## Public Member Functions

| LiveLooper (ParamMap &param_, Directout *d, sigc::slot< void > sync, const string &loop_dir_)
| ~LiveLooper ()

## Public Attributes

Plugin | plugin
Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Private Member Functions

int | do_resample (int inrate, int insize, float *input, int maxsize)
int | do_mono (int c, int f, float *oIn, float *tape, int n)
void | play_all_tapes ()
void | mem_alloc ()
void | mem_free ()
void | clear_state_f ()
int | activate (bool start)
int | load_ui_f (const UiBuilder &b, int form)
void | init (unsigned int samplingFreq)
void | compute (int count, float *input0, float *output0)
int | register_par (const ParamReg &reg)
void | save_array (std::string name)
void | load_array (std::string name)
void | save_to_wave (std::string fname, float *tape, float fSize, int tape_size)
int | load_from_wave (std::string fname, float **tape, int tape_size)
void | set_p_state ()
void | load_tape1 ()
void | load_tape2 ()
void | load_tape3 ()
void | load_tape4 ()

## Static Private Member Functions

static void | clear_state_f_static (PluginDef *)
static int | activate_static (bool start, PluginDef *)
static int | load_ui_f_static (const UiBuilder &b, int form)
static void | init_static (unsigned int samplingFreq, PluginDef *)
static void | compute_static (int count, float *input0, float *output0, PluginDef *)
static int | register_params_static (const ParamReg &reg)
static void | del_instance (PluginDef *p)

## Private Attributes

int | fSamplingFreq
float | gain
float | fRec0 [2]
float | gain_out
float | fclip1
float | fclip2
float | fclip3
float | fclip4
float | fclips1
float | fclips2
float | fclips3
float | fclips4
float | fspeed1
float | fspeed2
float | fspeed3
float | fspeed4
float | rplay1
float | rplay2
float | rplay3
float | rplay4
float | od1
float | od2
float | od3
float | od4
float | fod1
float | fod2
float | fod3
float | fod4
float | record1
int | iVec0 [2]
int | IOTA1
int | IOTA2
int | IOTA3
int | IOTA4
float | IOTAR1
float | IOTAR2
float | IOTAR3
float | IOTAR4
float * | tape1
int | tape1_size
float | fConst0
float | fConst1
float | fConst2
float | reset1
int | RecSize1 [2]
float | rectime0
float | fRec1 [2]
float | fRec2 [2]
int | iRec3 [2]
int | iRec4 [2]
float | play1
float | playh1
float | gain1
float | record2
int | iVec2 [2]
float * | tape2
int | tape2_size
float | reset2
int | RecSize2 [2]
float | rectime1
float | fRec6 [2]
float | fRec7 [2]
int | iRec8 [2]
int | iRec9 [2]
float | play2
float | playh2
float | gain2
float | record3
int | iVec4 [2]
float * | tape3
int | tape3_size
float | reset3
int | RecSize3 [2]
float | rectime2
float | fRec11 [2]
float | fRec12 [2]
int | iRec13 [2]
int | iRec14 [2]
float | play3
float | playh3
float | gain3
float | record4
int | iVec6 [2]
float * | tape4
int | tape4_size
float | reset4
int | RecSize4 [2]
float | rectime3
float | fRec16 [2]
float | fRec17 [2]
int | iRec18 [2]
int | iRec19 [2]
float | play4
float | playh4
float | gain4
float | play_all
float | dout
float * | outbuffer
bool | save1
bool | save2
bool | save3
bool | save4
bool | first1
bool | first2
bool | first3
bool | first4
bool | RP1
bool | RP2
bool | RP3
bool | RP4
Glib::ustring | preset_name
Glib::ustring | load_file1
Glib::ustring | load_file2
Glib::ustring | load_file3
Glib::ustring | load_file4
Glib::ustring | cur_name
Glib::ustring | loop_dir
bool | save_p
ParamMap & | param
bool | mem_allocated
sigc::slot< void > | sync
volatile int | ready
FileResampler | smp
Directout * | d

## Detailed Description

Definition at line 827 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## LiveLooper()

gx_engine::LiveLooper::LiveLooper | ( | ParamMap & | param_,
|  | Directout * | d,
|  | sigc::slot< void > | sync,
|  | const string & | loop_dir_ )

## ~LiveLooper()

gx_engine::LiveLooper::~LiveLooper | ( |  | ) |

## Member Function Documentation

## activate()

int gx_engine::LiveLooper::activate | ( | bool | start | ) |

private

## activate_static()

int gx_engine::LiveLooper::activate_static | ( | bool | start,
|  | PluginDef * | )

static private

## clear_state_f()

void gx_engine::LiveLooper::clear_state_f | ( |  | ) |

private

## clear_state_f_static()

void gx_engine::LiveLooper::clear_state_f_static | ( | PluginDef * |  | ) |

static private

## compute()

void gx_engine::LiveLooper::compute | ( | int | count,
|  | float * | input0,
|  | float * | output0 )

private

## compute_static()

void gx_engine::LiveLooper::compute_static | ( | int | count,
|  | float * | input0,
|  | float * | output0,
|  | PluginDef * | )

static private

## del_instance()

void gx_engine::LiveLooper::del_instance | ( | PluginDef * | p | ) |

static private

## do_mono()

int gx_engine::LiveLooper::do_mono | ( | int | c,
|  | int | f,
|  | float * | oIn,
|  | float * | tape,
|  | int | n )

private

## do_resample()

int gx_engine::LiveLooper::do_resample | ( | int | inrate,
|  | int | insize,
|  | float * | input,
|  | int | maxsize )

private

## init()

void gx_engine::LiveLooper::init | ( | unsigned int | samplingFreq | ) |

private

## init_static()

void gx_engine::LiveLooper::init_static | ( | unsigned int | samplingFreq,
|  | PluginDef * | )

static private

## load_array()

void gx_engine::LiveLooper::load_array | ( | std::string | name | ) |

private

## load_from_wave()

int gx_engine::LiveLooper::load_from_wave | ( | std::string | fname,
|  | float ** | tape,
|  | int | tape_size )

private

## load_tape1()

void gx_engine::LiveLooper::load_tape1 | ( |  | ) |

private

## load_tape2()

void gx_engine::LiveLooper::load_tape2 | ( |  | ) |

private

## load_tape3()

void gx_engine::LiveLooper::load_tape3 | ( |  | ) |

private

## load_tape4()

void gx_engine::LiveLooper::load_tape4 | ( |  | ) |

private

## load_ui_f()

int gx_engine::LiveLooper::load_ui_f | ( | const UiBuilder & | b,
|  | int | form )

private

## load_ui_f_static()

int gx_engine::LiveLooper::load_ui_f_static | ( | const UiBuilder & | b,
|  | int | form )

static private

## mem_alloc()

void gx_engine::LiveLooper::mem_alloc | ( |  | ) |

private

## mem_free()

void gx_engine::LiveLooper::mem_free | ( |  | ) |

private

## play_all_tapes()

void gx_engine::LiveLooper::play_all_tapes | ( |  | ) |

private

## register_par()

int gx_engine::LiveLooper::register_par | ( | const ParamReg & | reg | ) |

private

## register_params_static()

int gx_engine::LiveLooper::register_params_static | ( | const ParamReg & | reg | ) |

static private

## save_array()

void gx_engine::LiveLooper::save_array | ( | std::string | name | ) |

private

## save_to_wave()

void gx_engine::LiveLooper::save_to_wave | ( | std::string | fname,
|  | float * | tape,
|  | float | fSize,
|  | int | tape_size )

private

## set_p_state()

void gx_engine::LiveLooper::set_p_state | ( |  | ) |

private

## Member Data Documentation

## cur_name

Glib::ustring gx_engine::LiveLooper::cur_name

private

Definition at line 957 of file gx_internal_plugins.h.

## d

Directout* gx_engine::LiveLooper::d

private

Definition at line 965 of file gx_internal_plugins.h.

Referenced by LiveLooper().

## dout

float gx_engine::LiveLooper::dout

private

Definition at line 938 of file gx_internal_plugins.h.

## fclip1

float gx_engine::LiveLooper::fclip1

private

Definition at line 846 of file gx_internal_plugins.h.

## fclip2

float gx_engine::LiveLooper::fclip2

private

Definition at line 847 of file gx_internal_plugins.h.

## fclip3

float gx_engine::LiveLooper::fclip3

private

Definition at line 848 of file gx_internal_plugins.h.

## fclip4

float gx_engine::LiveLooper::fclip4

private

Definition at line 849 of file gx_internal_plugins.h.

## fclips1

float gx_engine::LiveLooper::fclips1

private

Definition at line 850 of file gx_internal_plugins.h.

## fclips2

float gx_engine::LiveLooper::fclips2

private

Definition at line 851 of file gx_internal_plugins.h.

## fclips3

float gx_engine::LiveLooper::fclips3

private

Definition at line 852 of file gx_internal_plugins.h.

## fclips4

float gx_engine::LiveLooper::fclips4

private

Definition at line 853 of file gx_internal_plugins.h.

## fConst0

float gx_engine::LiveLooper::fConst0

private

Definition at line 882 of file gx_internal_plugins.h.

## fConst1

float gx_engine::LiveLooper::fConst1

private

Definition at line 883 of file gx_internal_plugins.h.

## fConst2

float gx_engine::LiveLooper::fConst2

private

Definition at line 884 of file gx_internal_plugins.h.

## first1

bool gx_engine::LiveLooper::first1

private

Definition at line 944 of file gx_internal_plugins.h.

## first2

bool gx_engine::LiveLooper::first2

private

Definition at line 945 of file gx_internal_plugins.h.

## first3

bool gx_engine::LiveLooper::first3

private

Definition at line 946 of file gx_internal_plugins.h.

## first4

bool gx_engine::LiveLooper::first4

private

Definition at line 947 of file gx_internal_plugins.h.

## fod1

float gx_engine::LiveLooper::fod1

private

Definition at line 866 of file gx_internal_plugins.h.

## fod2

float gx_engine::LiveLooper::fod2

private

Definition at line 867 of file gx_internal_plugins.h.

## fod3

float gx_engine::LiveLooper::fod3

private

Definition at line 868 of file gx_internal_plugins.h.

## fod4

float gx_engine::LiveLooper::fod4

private

Definition at line 869 of file gx_internal_plugins.h.

## fRec0

float gx_engine::LiveLooper::fRec0[2]

private

Definition at line 844 of file gx_internal_plugins.h.

## fRec1

float gx_engine::LiveLooper::fRec1[2]

private

Definition at line 888 of file gx_internal_plugins.h.

## fRec11

float gx_engine::LiveLooper::fRec11[2]

private

Definition at line 916 of file gx_internal_plugins.h.

## fRec12

float gx_engine::LiveLooper::fRec12[2]

private

Definition at line 917 of file gx_internal_plugins.h.

## fRec16

float gx_engine::LiveLooper::fRec16[2]

private

Definition at line 930 of file gx_internal_plugins.h.

## fRec17

float gx_engine::LiveLooper::fRec17[2]

private

Definition at line 931 of file gx_internal_plugins.h.

## fRec2

float gx_engine::LiveLooper::fRec2[2]

private

Definition at line 889 of file gx_internal_plugins.h.

## fRec6

float gx_engine::LiveLooper::fRec6[2]

private

Definition at line 902 of file gx_internal_plugins.h.

## fRec7

float gx_engine::LiveLooper::fRec7[2]

private

Definition at line 903 of file gx_internal_plugins.h.

## fSamplingFreq

int gx_engine::LiveLooper::fSamplingFreq

private

Definition at line 842 of file gx_internal_plugins.h.

## fspeed1

float gx_engine::LiveLooper::fspeed1

private

Definition at line 854 of file gx_internal_plugins.h.

## fspeed2

float gx_engine::LiveLooper::fspeed2

private

Definition at line 855 of file gx_internal_plugins.h.

## fspeed3

float gx_engine::LiveLooper::fspeed3

private

Definition at line 856 of file gx_internal_plugins.h.

## fspeed4

float gx_engine::LiveLooper::fspeed4

private

Definition at line 857 of file gx_internal_plugins.h.

## gain

float gx_engine::LiveLooper::gain

private

Definition at line 843 of file gx_internal_plugins.h.

## gain1

float gx_engine::LiveLooper::gain1

private

Definition at line 894 of file gx_internal_plugins.h.

## gain2

float gx_engine::LiveLooper::gain2

private

Definition at line 908 of file gx_internal_plugins.h.

## gain3

float gx_engine::LiveLooper::gain3

private

Definition at line 922 of file gx_internal_plugins.h.

## gain4

float gx_engine::LiveLooper::gain4

private

Definition at line 936 of file gx_internal_plugins.h.

## gain_out

float gx_engine::LiveLooper::gain_out

private

Definition at line 845 of file gx_internal_plugins.h.

## IOTA1

int gx_engine::LiveLooper::IOTA1

private

Definition at line 872 of file gx_internal_plugins.h.

## IOTA2

int gx_engine::LiveLooper::IOTA2

private

Definition at line 873 of file gx_internal_plugins.h.

## IOTA3

int gx_engine::LiveLooper::IOTA3

private

Definition at line 874 of file gx_internal_plugins.h.

## IOTA4

int gx_engine::LiveLooper::IOTA4

private

Definition at line 875 of file gx_internal_plugins.h.

## IOTAR1

float gx_engine::LiveLooper::IOTAR1

private

Definition at line 876 of file gx_internal_plugins.h.

## IOTAR2

float gx_engine::LiveLooper::IOTAR2

private

Definition at line 877 of file gx_internal_plugins.h.

## IOTAR3

float gx_engine::LiveLooper::IOTAR3

private

Definition at line 878 of file gx_internal_plugins.h.

## IOTAR4

float gx_engine::LiveLooper::IOTAR4

private

Definition at line 879 of file gx_internal_plugins.h.

## iRec13

int gx_engine::LiveLooper::iRec13[2]

private

Definition at line 918 of file gx_internal_plugins.h.

## iRec14

int gx_engine::LiveLooper::iRec14[2]

private

Definition at line 919 of file gx_internal_plugins.h.

## iRec18

int gx_engine::LiveLooper::iRec18[2]

private

Definition at line 932 of file gx_internal_plugins.h.

## iRec19

int gx_engine::LiveLooper::iRec19[2]

private

Definition at line 933 of file gx_internal_plugins.h.

## iRec3

int gx_engine::LiveLooper::iRec3[2]

private

Definition at line 890 of file gx_internal_plugins.h.

## iRec4

int gx_engine::LiveLooper::iRec4[2]

private

Definition at line 891 of file gx_internal_plugins.h.

## iRec8

int gx_engine::LiveLooper::iRec8[2]

private

Definition at line 904 of file gx_internal_plugins.h.

## iRec9

int gx_engine::LiveLooper::iRec9[2]

private

Definition at line 905 of file gx_internal_plugins.h.

## iVec0

int gx_engine::LiveLooper::iVec0[2]

private

Definition at line 871 of file gx_internal_plugins.h.

## iVec2

int gx_engine::LiveLooper::iVec2[2]

private

Definition at line 896 of file gx_internal_plugins.h.

## iVec4

int gx_engine::LiveLooper::iVec4[2]

private

Definition at line 910 of file gx_internal_plugins.h.

## iVec6

int gx_engine::LiveLooper::iVec6[2]

private

Definition at line 924 of file gx_internal_plugins.h.

## load_file1

Glib::ustring gx_engine::LiveLooper::load_file1

private

Definition at line 953 of file gx_internal_plugins.h.

## load_file2

Glib::ustring gx_engine::LiveLooper::load_file2

private

Definition at line 954 of file gx_internal_plugins.h.

## load_file3

Glib::ustring gx_engine::LiveLooper::load_file3

private

Definition at line 955 of file gx_internal_plugins.h.

## load_file4

Glib::ustring gx_engine::LiveLooper::load_file4

private

Definition at line 956 of file gx_internal_plugins.h.

## loop_dir

Glib::ustring gx_engine::LiveLooper::loop_dir

private

Definition at line 958 of file gx_internal_plugins.h.

## mem_allocated

bool gx_engine::LiveLooper::mem_allocated

private

Definition at line 961 of file gx_internal_plugins.h.

## od1

float gx_engine::LiveLooper::od1

private

Definition at line 862 of file gx_internal_plugins.h.

## od2

float gx_engine::LiveLooper::od2

private

Definition at line 863 of file gx_internal_plugins.h.

## od3

float gx_engine::LiveLooper::od3

private

Definition at line 864 of file gx_internal_plugins.h.

## od4

float gx_engine::LiveLooper::od4

private

Definition at line 865 of file gx_internal_plugins.h.

## outbuffer

float* gx_engine::LiveLooper::outbuffer

private

Definition at line 939 of file gx_internal_plugins.h.

## param

ParamMap& gx_engine::LiveLooper::param

private

Definition at line 960 of file gx_internal_plugins.h.

## play1

float gx_engine::LiveLooper::play1

private

Definition at line 892 of file gx_internal_plugins.h.

## play2

float gx_engine::LiveLooper::play2

private

Definition at line 906 of file gx_internal_plugins.h.

## play3

float gx_engine::LiveLooper::play3

private

Definition at line 920 of file gx_internal_plugins.h.

## play4

float gx_engine::LiveLooper::play4

private

Definition at line 934 of file gx_internal_plugins.h.

## play_all

float gx_engine::LiveLooper::play_all

private

Definition at line 937 of file gx_internal_plugins.h.

## playh1

float gx_engine::LiveLooper::playh1

private

Definition at line 893 of file gx_internal_plugins.h.

## playh2

float gx_engine::LiveLooper::playh2

private

Definition at line 907 of file gx_internal_plugins.h.

## playh3

float gx_engine::LiveLooper::playh3

private

Definition at line 921 of file gx_internal_plugins.h.

## playh4

float gx_engine::LiveLooper::playh4

private

Definition at line 935 of file gx_internal_plugins.h.

## plugin

Plugin gx_engine::LiveLooper::plugin

Definition at line 996 of file gx_internal_plugins.h.

## preset_name

Glib::ustring gx_engine::LiveLooper::preset_name

private

Definition at line 952 of file gx_internal_plugins.h.

## ready

volatile int gx_engine::LiveLooper::ready

private

Definition at line 963 of file gx_internal_plugins.h.

## record1

float gx_engine::LiveLooper::record1

private

Definition at line 870 of file gx_internal_plugins.h.

## record2

float gx_engine::LiveLooper::record2

private

Definition at line 895 of file gx_internal_plugins.h.

## record3

float gx_engine::LiveLooper::record3

private

Definition at line 909 of file gx_internal_plugins.h.

## record4

float gx_engine::LiveLooper::record4

private

Definition at line 923 of file gx_internal_plugins.h.

## RecSize1

int gx_engine::LiveLooper::RecSize1[2]

private

Definition at line 886 of file gx_internal_plugins.h.

## RecSize2

int gx_engine::LiveLooper::RecSize2[2]

private

Definition at line 900 of file gx_internal_plugins.h.

## RecSize3

int gx_engine::LiveLooper::RecSize3[2]

private

Definition at line 914 of file gx_internal_plugins.h.

## RecSize4

int gx_engine::LiveLooper::RecSize4[2]

private

Definition at line 928 of file gx_internal_plugins.h.

## rectime0

float gx_engine::LiveLooper::rectime0

private

Definition at line 887 of file gx_internal_plugins.h.

## rectime1

float gx_engine::LiveLooper::rectime1

private

Definition at line 901 of file gx_internal_plugins.h.

## rectime2

float gx_engine::LiveLooper::rectime2

private

Definition at line 915 of file gx_internal_plugins.h.

## rectime3

float gx_engine::LiveLooper::rectime3

private

Definition at line 929 of file gx_internal_plugins.h.

## reset1

float gx_engine::LiveLooper::reset1

private

Definition at line 885 of file gx_internal_plugins.h.

## reset2

float gx_engine::LiveLooper::reset2

private

Definition at line 899 of file gx_internal_plugins.h.

## reset3

float gx_engine::LiveLooper::reset3

private

Definition at line 913 of file gx_internal_plugins.h.

## reset4

float gx_engine::LiveLooper::reset4

private

Definition at line 927 of file gx_internal_plugins.h.

## RP1

bool gx_engine::LiveLooper::RP1

private

Definition at line 948 of file gx_internal_plugins.h.

## RP2

bool gx_engine::LiveLooper::RP2

private

Definition at line 949 of file gx_internal_plugins.h.

## RP3

bool gx_engine::LiveLooper::RP3

private

Definition at line 950 of file gx_internal_plugins.h.

## RP4

bool gx_engine::LiveLooper::RP4

private

Definition at line 951 of file gx_internal_plugins.h.

## rplay1

float gx_engine::LiveLooper::rplay1

private

Definition at line 858 of file gx_internal_plugins.h.

## rplay2

float gx_engine::LiveLooper::rplay2

private

Definition at line 859 of file gx_internal_plugins.h.

## rplay3

float gx_engine::LiveLooper::rplay3

private

Definition at line 860 of file gx_internal_plugins.h.

## rplay4

float gx_engine::LiveLooper::rplay4

private

Definition at line 861 of file gx_internal_plugins.h.

## save1

bool gx_engine::LiveLooper::save1

private

Definition at line 940 of file gx_internal_plugins.h.

## save2

bool gx_engine::LiveLooper::save2

private

Definition at line 941 of file gx_internal_plugins.h.

## save3

bool gx_engine::LiveLooper::save3

private

Definition at line 942 of file gx_internal_plugins.h.

## save4

bool gx_engine::LiveLooper::save4

private

Definition at line 943 of file gx_internal_plugins.h.

## save_p

bool gx_engine::LiveLooper::save_p

private

Definition at line 959 of file gx_internal_plugins.h.

## smp

FileResampler gx_engine::LiveLooper::smp

private

Definition at line 964 of file gx_internal_plugins.h.

## sync

sigc::slot<void> gx_engine::LiveLooper::sync

private

Definition at line 962 of file gx_internal_plugins.h.

Referenced by LiveLooper().

## tape1

float* gx_engine::LiveLooper::tape1

private

Definition at line 880 of file gx_internal_plugins.h.

## tape1_size

int gx_engine::LiveLooper::tape1_size

private

Definition at line 881 of file gx_internal_plugins.h.

## tape2

float* gx_engine::LiveLooper::tape2

private

Definition at line 897 of file gx_internal_plugins.h.

## tape2_size

int gx_engine::LiveLooper::tape2_size

private

Definition at line 898 of file gx_internal_plugins.h.

## tape3

float* gx_engine::LiveLooper::tape3

private

Definition at line 911 of file gx_internal_plugins.h.

## tape3_size

int gx_engine::LiveLooper::tape3_size

private

Definition at line 912 of file gx_internal_plugins.h.

## tape4

float* gx_engine::LiveLooper::tape4

private

Definition at line 925 of file gx_internal_plugins.h.

## tape4_size

int gx_engine::LiveLooper::tape4_size

private

Definition at line 926 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h